StarObjectSmallGraphicInternal::OutlinerParaObject Class Reference

Internal: virtual class to store a outliner paragraph object. More...

## Classes

struct | Zone
| small struct use to define a Zone: v<=3 More...

## Public Member Functions

| OutlinerParaObject ()
| constructor
bool | send (STOFFListenerPtr &listener)
| try to send the text to the listener

## Public Attributes

int | m_version
| the version
std::vector< Zone > | m_zones
| the list of zones: version<=3
std::shared_ptr< StarObjectSmallText > | m_textZone
| list of text zone: version==4
std::vector< int > | m_depthList
| list of depth data
bool | m_isEditDoc
| true if the object is a edit document

## Friends

std::ostream & | operator<< (std::ostream &o, OutlinerParaObject const &obj)
| operator<<

## Detailed Description

Internal: virtual class to store a outliner paragraph object.

## Constructor & Destructor Documentation

## OutlinerParaObject()

StarObjectSmallGraphicInternal::OutlinerParaObject::OutlinerParaObject | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## send()

bool StarObjectSmallGraphicInternal::OutlinerParaObject::send | ( | STOFFListenerPtr & | listener | ) |

inline

try to send the text to the listener

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | OutlinerParaObject const & | obj )

friend

operator<<

## Member Data Documentation

## m_depthList

std::vector<int> StarObjectSmallGraphicInternal::OutlinerParaObject::m_depthList

list of depth data

Referenced by operator<<, and OutlinerParaObject().

## m_isEditDoc

bool StarObjectSmallGraphicInternal::OutlinerParaObject::m_isEditDoc

true if the object is a edit document

Referenced by operator<<, and OutlinerParaObject().

## m_textZone

std::shared_ptr<StarObjectSmallText> StarObjectSmallGraphicInternal::OutlinerParaObject::m_textZone

list of text zone: version==4

Referenced by operator<<, OutlinerParaObject(), and send().

## m_version

int StarObjectSmallGraphicInternal::OutlinerParaObject::m_version

the version

Referenced by operator<<, and OutlinerParaObject().

## m_zones

std::vector<Zone> StarObjectSmallGraphicInternal::OutlinerParaObject::m_zones

the list of zones: version<=3

Referenced by operator<<, OutlinerParaObject(), and send().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx